org.apache.bcel.classfile

## Class InnerClass

- java.lang.Object
- - org.apache.bcel.classfile.InnerClass

- All Implemented Interfaces:
    Cloneable, Node

      public final class InnerClass
      extends Object
      implements Cloneable, Node

  This class represents a inner class attribute, i.e., the class indices of the inner and outer classes, the name and the attributes of the inner class.
  See Also:
    `InnerClasses`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerClass(InnerClass c)` Initialize from another object.
    `InnerClass(int innerClassIndex, int outerClassIndex, int innerNameIndex, int innerAccessFlags)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `InnerClass` | `copy()`
    `void` | `dump(DataOutputStream file)` Dump inner class attribute to file stream in binary format.
    `int` | `getInnerAccessFlags()`
    `int` | `getInnerClassIndex()`
    `int` | `getInnerNameIndex()`
    `int` | `getOuterClassIndex()`
    `void` | `setInnerAccessFlags(int innerAccessFlags)`
    `void` | `setInnerClassIndex(int innerClassIndex)`
    `void` | `setInnerNameIndex(int innerNameIndex)`
    `void` | `setOuterClassIndex(int outerClassIndex)`
    `String` | `toString()`
    `String` | `toString(ConstantPool constantPool)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InnerClass

          public InnerClass(InnerClass c)

      Initialize from another object.
      Parameters:
        `c` - Source to copy.

    - #### InnerClass

          public InnerClass(int innerClassIndex,
                            int outerClassIndex,
                            int innerNameIndex,
                            int innerAccessFlags)

      Parameters:
        `innerClassIndex` - Class index in constant pool of inner class
        `outerClassIndex` - Class index in constant pool of outer class
        `innerNameIndex` - Name index in constant pool of inner class
        `innerAccessFlags` - Access flags of inner class

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Parameters:
        `v` - Visitor object

    - #### copy

          public InnerClass copy()

      Returns:
        deep copy of this object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump inner class attribute to file stream in binary format.
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException` - if an I/O error occurs.

    - #### getInnerAccessFlags

          public int getInnerAccessFlags()

      Returns:
        access flags of inner class.

    - #### getInnerClassIndex

          public int getInnerClassIndex()

      Returns:
        class index of inner class.

    - #### getInnerNameIndex

          public int getInnerNameIndex()

      Returns:
        name index of inner class.

    - #### getOuterClassIndex

          public int getOuterClassIndex()

      Returns:
        class index of outer class.

    - #### setInnerAccessFlags

          public void setInnerAccessFlags(int innerAccessFlags)

      Parameters:
        `innerAccessFlags` - access flags for this inner class

    - #### setInnerClassIndex

          public void setInnerClassIndex(int innerClassIndex)

      Parameters:
        `innerClassIndex` - index into the constant pool for this class

    - #### setInnerNameIndex

          public void setInnerNameIndex(int innerNameIndex)

      Parameters:
        `innerNameIndex` - index into the constant pool for this class's name

    - #### setOuterClassIndex

          public void setOuterClassIndex(int outerClassIndex)

      Parameters:
        `outerClassIndex` - index into the constant pool for the owning class

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation.

    - #### toString

          public String toString(ConstantPool constantPool)

      Returns:
        Resolved string representation

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.